Author Topic: Configuration error  (Read 629 times)

darnel

  • Beginner
  • *
  • Posts: 8
  • A beginner
Configuration error
« on: February 18, 2017, 19:19:49 pm »
VirtueMart 3.0.18
Joomla! 3.6.5
PHP 7.0.1
I try at installing joomla and at new fresh VM installation.

It is not possible to Configuration
I get error

An error has occurred.
0 [] operator not supported for strings
 

jenkinhill

  • UK Web Developer & Consultant
  • Global Moderator
  • Super Hero
  • *
  • Posts: 25521
  • Always on vacation
    • Jenkin Hill Internet
Re: Configuration error
« Reply #1 on: February 18, 2017, 19:30:35 pm »
I suspect you have PHP 7.1 - see https://forum.virtuemart.net/index.php?topic=136283.0

You should try the latest VM version, com_virtuemart.3.0.19.6_extract_first.zip   http://dev.virtuemart.net/attachments/download/1054/com_virtuemart.3.0.19.6_extract_first.zip
Kelvyn

Jenkin Hill Internet,
Keswick, Lake District

Unsolicited PMs/emails will be ignored.

Please mention your VirtueMart, Joomla and PHP versions when asking a question in this forum

Currently using VM3.2.0 on Joomla 3.6.5 PHP 7.0.12

Testing VM3.2.1 on J!3.6.5 and J!3.7B3

darnel

  • Beginner
  • *
  • Posts: 8
  • A beginner
Re: Configuration error
« Reply #2 on: February 18, 2017, 20:21:28 pm »
Hi jenkinhill
It was my error
The PHP ver is 7.1.0

darnel

  • Beginner
  • *
  • Posts: 8
  • A beginner
Re: Configuration error
« Reply #3 on: February 18, 2017, 20:30:36 pm »
How to update?
Have I to instal by joomla Upload & Install Joomla Extension
or
Upload files by ftp?

Milbo

  • Virtuemart Projectleader
  • Administrator
  • Super Hero
  • *
  • Posts: 8782
  • VM3.2 Cached and Optimized
    • VM3 Extensions
  • VirtueMart Version: VirtueMart 3 on joomla 3
Re: Configuration error
« Reply #4 on: February 18, 2017, 21:25:56 pm »
php 7.1 creates at the moment a lot of bugs, I would not use it at the moment.
I should fix your bug, please support the VirtueMart project and become a member
______________________________________
Extensions approved by the core team: http://extensions.virtuemart.net/

darnel

  • Beginner
  • *
  • Posts: 8
  • A beginner
Re: Configuration error
« Reply #5 on: February 19, 2017, 11:44:18 am »
I update at 3.0.19.6 and it is solving.

Please Help my at a new error
Warning
Assign the component VirtueMart to a menu item


I made menus
I tried making
VirtueMart » Front page menu
and
VirtueMart » Category Layout
Any menu as I make the Warning is remaining